Subject: Looking for BABEL and DRAGON users

From: Clair W Cabal <[email-masked]>
Date: Thu, 30 Nov 2000 16:12:35 -0700 (MST)

All,

I am using Babel to convert a chemical data set from SMILES notation to
MOL file notation so that I can use Prof. Todeschini's DRAGON program to
generate theoretical descriptors.  I think the conversion is OK (based on
comparing my generated files to the sample files in DRAGON.  However, I
always get an error in trying to calculate the descriptors with Dragon.  I
was in hopes that someone with a real understanding of these two formats
might point out my error.

Here is the output from Babel for one molecule.  This SMILES data does not
even list the molecule name, so on line two Babel puts the SMILES
representation of the molecule.  I have added the .mol2 which is necessary
for DRAGON to recognize this file.

@<TRIPOS>MOLECULE
O=C(Cn1ccnc1)c2ccc3ccccc3c2.mol2
   18    20     0     0     0
SMALL
NO_CHARGES

@<TRIPOS>ATOM
      1 O1          0.0000    0.0000    0.0000 O.2     1  <1>   0.0000
      2 C1          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
      3 C2          0.0000    0.0000    0.0000 C.3     1  <1>   0.0000
      4 N1          0.0000    0.0000    0.0000 N.pl3   1  <1>   0.0000
      5 C3          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
      6 C4          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
      7 N2          0.0000    0.0000    0.0000 N.pl3   1  <1>   0.0000
      8 C5          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
      9 C6          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     10 C7          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     11 C8          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     12 C9          0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     13 C10         0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     14 C11         0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     15 C12         0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     16 C13         0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     17 C14         0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
     18 C15         0.0000    0.0000    0.0000 C.2     1  <1>   0.0000
@<TRIPOS>BOND
     1     1     2    2
     2     2     3    1
     3     2     9    1
     4     3     4    1
     5     4     5   ar
     6     4     8   ar
     7     5     6   ar
     8     6     7   ar
     9     7     8   ar
    10     9    10   ar
    11     9    18   ar
    12    10    11   ar
    13    11    12   ar
    14    12    13   ar
    15    12    17   ar
    16    13    14   ar
    17    14    15   ar
    18    15    16   ar
    19    16    17   ar
    20    17    18   ar

With this exact input, the error I get in DRAGON when I attempt to
calculate descriptors is:
  Errors reading molecules .....
 1	Mol. 1	d:\user\cabal\chemdata\out15-~2.mol	Input past end of
        file. (62)

Here is a sample mol2 file from DRAGON which runs in that program fine:

#	Name:			2-Iodophenol.mol2
#	Creating user name:	alex
#	Creation time:		Tue Oct 10 10:25:54 2000

#	Modifying user name:	alex
#	Modification time:	Tue Oct 10 10:29:16 2000

@<TRIPOS>MOLECULE
2-Iodophenol.mol2
   13    13     1     0     0
SMALL
NO_CHARGES

@<TRIPOS>ATOM
      1 I1         -0.0098   -0.1299   -0.6467 I         1 <1>   0.0000 
      2 C2          0.0262   -0.0379    1.4009 C.ar      1 <1>   0.0000 
      3 C3          0.0048    0.0872    4.2021 C.ar      1 <1>   0.0000 
      4 C4          1.2354    0.0420    2.1198 C.ar      1 <1>   0.0000 
      5 C5         -1.1835   -0.0552    2.1025 C.ar      1 <1>   0.0000 
      6 C6         -1.1943    0.0067    3.4943 C.ar      1 <1>   0.0000 
      7 C7          1.2186    0.1049    3.5225 C.ar      1 <1>   0.0000 
      8 O8          2.4126    0.0558    1.4091 O.3       1 <1>   0.0000 
      9 H9         -2.1324   -0.1185    1.5467 H         1 <1>   0.0000 
     10 H10        -2.1530   -0.0085    4.0328 H         1 <1>   0.0000 
     11 H11         2.1654    0.1677    4.0777 H         1 <1>   0.0000 
     12 H12        -0.0064    0.1370    5.3013 H         1 <1>   0.0000 
     13 H13         3.1420    0.1084    2.0448 H         1 <1>   0.0000 
@<TRIPOS>BOND
     1    1    2 1    
     2    2    5 ar   
     3    5    6 ar   
     4    6    3 ar   
     5    3    7 ar   
     6    7    4 ar   
     7    2    4 ar   
     8    6   10 1    
     9    7   11 1    
    10    3   12 1    
    11    4    8 1    
    12    5    9 1    
    13    8   13 1    
@<TRIPOS>SUBSTRUCTURE
     1 ****        1 TEMP              0 ****  ****    0 ROOT 

Babel has not output any substructure information, so I have tried typing
some into my file and then I get an overflow error in DRAGON.  

Any suggestions or feedback about what I might be doing wrong would be
greatly appreciated - I'm really out of my depth in this chemistry stuff
:-) 

Thank you.

Clair Cabal
Research Assistant
Machine Learning Research Lab
Department of Computer Science
University of Montana
Missoula, Montana
email: [email-masked]
fax:  (406) 243-5139